body { 
    position: relative;
    padding: 0%;
    background-color: #151515;
    color: white;
    font-family: Arial, Helvetica, sans-serif;
}
main{
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
}


#header{
    position:sticky;
    top: 0;
    background-color: #151515;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 40px;
}



#navbar{
    display: flex;
    align-items: center;
    justify-content: center;
}

#navbar li{
    list-style: none;
    padding: 0 20px;
}

#navbar li a{
    text-decoration: none;
    font-size: 16px;
    font-weight: bold;
    color: white;
}

.logo{
    width: auto;
    height: 70px;
}
.carticon{
    width: auto;
    height: 30px;
}

.movies-header, .cart-header{
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: center;
    padding-top: 40px;
}

.container, .movie-info, .movie-list-container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 20px;
}

.movie-list-container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 20px;

}

.movie-catagory{
    font-weight: 500;
    padding-bottom: 10px;
}

.movie-details{
   display: flex;
   flex-direction: column;
   max-width: 1200px;
   padding: 0 auto;
   margin: auto;
  
}
.singel-movie-info{
    max-width: 1200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.movie-singel-img{
    width: 30%;
    object-fit: contain;
}
.movieP{
    max-width: 80%;
    text-align: center;
}

.card-image, .movie-img{
    width: inherit;
    height: 200px;
    object-fit: contain;  
}

.genre-style{
    font-weight: 200;
}
.card-title, .movie-title{
    font-weight: 500;
    font-size: 30px;
}

.card-button, .go-to-btn, .button{
    background-color: orange;
    font-weight: bold;
    color: rgb(0, 0, 0);
    width: 50%;
    padding: 5px 5px;
    max-height: 30px;
    max-width: 100px;
    
    border-radius: 5px ;
    cursor: pointer;

}
.add-to-cart-btn, .go-back, .go-to-movie{
    background-color: orange ;
    padding: 5px 5px;
    font-weight: bold;
    border-radius: 5px;
    width: 200px;
}
.button-container{
    display: flex;
    flex-direction: row;
    align-content: center;
}
a {
        text-decoration: none;
        
}

.go-to-btn,.knapp:hover{
    background-color: white;
    transition: ease-in;
}


.sort-by-genre{
    display: flex;
    flex-direction: row;
    justify-content: center;
    justify-content: space-between;
    padding: 40px;
}




.cart-container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    padding-bottom: 10%;
}
.cart-card, .cart-total-container{
    display: flex;
    flex-direction: row;
    max-width: 1000px;
    margin: auto;
    padding: 20px 20px;
    background-color: rgb(53, 52, 53);
    width: 100%;
    border-radius: 10px;
    align-items: center;
    justify-content: space-between;
    gap: 20px;

}
.cart-total-container{
    background-color: rgb(68, 68, 68);
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    margin-bottom: 20px;
    
}

.footer{
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    padding-top: 80px;
    padding-bottom: 20px;
}


.cart-img{
    max-width: 100px;
    max-height: auto;
    object-fit: contain;
}

@media  (max-width: 1000px){
    .movie-info{
        grid-template-columns: 1fr 1fr 1fr;
    }
}
@media  (max-width: 600px){
    .movie-info{
        max-width: 100%;
        margin:auto auto;
        padding: 5px;
        gap:5px;
        grid-template-columns: 1fr 1fr;
    }
    #header{
        padding: 10px 20px;
    }
}